Name:           synce-trayicon
Version:        0.9.0
Release:        14%{?dist}
Summary:        Tray icon for use with gnome and synce

Group:          Applications/Communications
License:        GPL
URL:            http://synce.sourceforge.net/
Source0:        http://dl.sf.net/synce/synce-trayicon-0.9.0.tar.gz
Source1:        synce-trayicon.desktop
Patch0:         synce-trayicon-autotools.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  librapi-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libgtop2-devel
BuildRequires:  libxml2-devel
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  perl-XML-Parser
BuildRequires:  gettext
BuildRequires:  automake autoconf libtool intltool

%description
%{summary}

%prep
%setup -q
%patch0 -p1

touch NEWS
aclocal
automake --add-missing
autoreconf

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
%makeinstall
%find_lang synce-trayicon

desktop-file-install \
  --vendor=fedora \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-Fedora \
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f synce-trayicon.lang
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/synce-trayicon
%{_datadir}/synce/synce_trayicon_properties.glade
%{_datadir}/pixmaps/synce/*.png
%{_datadir}/applications/*

%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.0-14
- Autorebuild for GCC 4.3

* Wed Dec 12 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.0-13
- fix #419491

* Thu Dec 06 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.0-12
- fix desktop file

* Tue Dec 04 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.0-11
- fix BR

* Fri Aug 10 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.0-10
- fix patch (Dave Jones)

* Fri Jul 20 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.0-9
- fix #248369

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.9.0-8
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-7
- FE6 rebuild

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-6
- Rebuild for Fedora Extras 5

* Wed Jan 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-5
- bump release

* Wed Dec 14 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-4
- add dist
- fix desktop file

* Tue Dec 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-3
- add desktop file

* Mon Dec 12 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-2
- fix BR

* Tue Aug 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-1
- Initial Release
